=== debian/changelog ===
gpac (2.0) stable; urgency=low

  * Initial release - see https://github.com/gpac/gpac/releases for more details

 -- Jean Le Feuvre <jeanlf@gpac.io>  Tue, 22 Feb 2022 15:00:00 +0200
